Subject: Re: bug#65386: [PATCH] ; Refine some 'package-vc' docstrings

From: Philip Kaludercic <[email-masked]>
Date: Sun, 20 Aug 2023 08:13:19 +0000

Eshel Yaron <[email-masked]> writes:

>>>  (defcustom package-vc-allow-side-effects nil
>>> -  "Whether to process :make and :shell-command spec arguments.
>>> +  "Whether to run extra build commands when installing VC packages.
>>
>> The name of this variable is very far from what it means.  Running
>> commands and "side effects" are barely related to each other.  Please
>> consider renaming the variable.  How about
>> package-vc-allow-build-commands?
>>
>
> I agree.  Philip, any objections to renaming this variable?  I don't
> know if people already use it.

If we find a better name, I have no objection since the user option was
recently added.